> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクション ステップのエクスポート ステータスの取得



## OpenAPI

````yaml /ja/openapi-reporting.json get /api/reporting/v2/exports/transaction-steps/{requestId}/status
openapi: 3.0.4
info:
  description: 環境：本番<br>製品バージョン：1.3.2
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps/{requestId}/status:
    get:
      tags:
        - Report
      summary: トランザクション ステップのエクスポート ステータスの取得
      operationId: GetExportStatus
      parameters:
        - in: path
          name: requestId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/ReportRequestStatusResponse'
          description: OK
components:
  schemas:
    ReportRequestStatusResponse:
      additionalProperties: false
      properties:
        correlationId:
          description: |-
            レポート作成処理の相関 ID
            失敗またはキャンセルが発生した場合、相関 ID はその後の調査に役立ちます
          nullable: true
          type: string
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: レポートの生成に使用されたフィルター
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: リクエストの実際のステータス
        totalFileCount:
          description: |-
            処理が正常終了した場合の結果ファイル数
            結果ファイルにはインデックス番号でアクセスできます
          nullable: true
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: ステップ完了日時の最大値（空欄の場合は現在のUTC時刻）
          format: date-time
          type: string
        skillId:
          description: トランザクション Skill ID でフィルタリングします。Skill ID でフィルタリングしない場合は {NULL} を指定します
          nullable: true
          type: string
        startDate:
          default: '2025-12-17T15:36:38.524Z'
          description: トランザクション ステップの最短完了日
          format: date-time
          type: string
        transactionId:
          description: トランザクション ID でフィルターします。ID によるフィルターを適用しない場合は {NULL} を指定します
          nullable: true
          type: string
      required:
        - startDate
      type: object
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````